com.parse

## Interface SignUpCallback

    public interface SignUpCallback

A `SignUpCallback` is used to run code after signing up a `ParseUser` in a background thread.

The easiest way to use a `SignUpCallback` is through an anonymous inner class. Override the `done` function to specify what the callback should do after the save is complete. The `done` function will be run in the UI thread, while the signup happens in a background thread. This ensures that the UI does not freeze while the signup happens.

For example, this sample code signs up the object `myUser` and calls a different function depending on whether the signup succeeded or not.

     myUser.signUpInBackground(new SignUpCallback() {
       public void done(ParseException e) {
         if (e == null) {
           myUserSignedUpSuccessfully();
         } else {
           myUserSignUpDidNotSucceed();
         }
       }
     });

### Method Summary

Methods
`void` `done(ParseException e)` Override this function with the code you want to run after the signUp is complete.

### Method Detail

#### done

    void done(ParseException e)

Override this function with the code you want to run after the signUp is complete.

Parameters:
  `e` - The exception raised by the signUp, or `null` if it succeeded.